Skip to main content

Akoya
Documentation

Get Subscriptions For App

GET

https://sandbox-api.akoya.com/manage/{version}/subscriptions/{appId}

Get a paginated list of all ACTIVE subscriptions for this application.

You can use the next and the prev links to page through the response. You can also pass a offset and a limit parameter to get a specific page. The default page size is 50, and the maximum allowed page size is 500.


Path Parameters

  1. version*

    string

    Management API major version (e.g. v2)

  2. appId*

    string

    The id of your application

Query Parameters

  1. offset

    integer

    Number of skipped items (default = 0)

    Example: 1

  2. limit

    integer

    Number of items per page (default = 50, must be <=500)

    Example: 2


Responses

  1. 200

    OK

    Response Body

      page

      object

          total_elements

          integer

      links

      object

          next

          object

              href

              string

          prev

          object

              href

              string

      subscriptions

      array of objects

        object

          provider_id

          string

          display_name

          string

          subscription_status

          string

          account_categories

          array of strings

            string

    Headers

    1. Content-Typestring

    2. X-Akoya-Interaction-Idstring

CTRL + K

Try it

Authorization